# AWS API client for AWS SSO OIDC

**Warning: This is a generated library, some operations may not work.**

*About the service:*
AWS Single Sign-On (SSO) OpenID Connect (OIDC) is a web service that enables
a client (such as AWS CLI or a native application) to register with AWS SSO.
The service also enables the client to fetch the user’s access token upon
successful authentication and authorization with AWS SSO. This service
conforms with the OAuth 2.0 based implementation of the device authorization
grant standard (<a
href="https://tools.ietf.org/html/rfc8628">https://tools.ietf.org/html/rfc8628</a>).

For general information about AWS SSO, see <a
href="https://docs.aws.amazon.com/singlesignon/latest/userguide/what-is.html">What
is AWS Single Sign-On?</a> in the <i>AWS SSO User Guide</i>.

This API reference guide describes the AWS SSO OIDC operations that you can
call programatically and includes detailed information on data types and
errors.
<note>
AWS provides SDKs that consist of libraries and sample code for various
programming languages and platforms such as Java, Ruby, .Net, iOS, and
Android. The SDKs provide a convenient way to create programmatic access to
AWS SSO and other AWS services. For more information about the AWS SDKs,
including how to download and install them, see <a
href="https://aws.amazon.com/tools/">Tools for Amazon Web Services</a>.
</note>

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

